PDA

View Full Version : Trainz Script Errors



ogauge47
July 28th, 2013, 02:54 PM
Recently I have been getting a lot of script exception errors. These keep popping up and when i try to run the trains the trains don't show up.

http://farm4.staticflickr.com/3731/9384975921_f635317d6e_c.jpg (http://www.flickr.com/photos/ogauge47/9384975921/)


http://farm6.staticflickr.com/5344/9387752282_81f1cd650e_c.jpg (http://www.flickr.com/photos/ogauge47/9387752282/)

http://farm6.staticflickr.com/5509/9387723606_61ef9843df_c.jpg (http://www.flickr.com/photos/ogauge47/9387723606/)

How can I fix this? I am running Trainz Mac (Trainz 2010)
Thanks

shaneturner12
July 28th, 2013, 02:56 PM
Have you tried different trains? It looks like the error is pointing at the trains you are using having faults.

Shane

ogauge47
July 28th, 2013, 03:00 PM
It seems some of my Jointedrail (among others) content causes it. It pops up whenever I uncouple or move rolling stock in surveyor. I set up a session using whitepass's content and it worked fine.

shaneturner12
July 28th, 2013, 03:03 PM
That's interesting. For JR content, have a look in the Third Party Partners > Jointed Rail forum, and make sure you have the latest version of their Train FX library installed.

If it's happening during decoupling, it may be a fault with the script used in the content, which in order to advise on that I will need the name of the content and the author at a minimum.

Shane

ogauge47
July 28th, 2013, 03:18 PM
I updated the script libraries, but things still are not showing up. I tried plopping a pre-made consist with some of the content in question and got these messages as well
http://farm4.staticflickr.com/3821/9387932652_31b387f7da_c.jpg (http://www.flickr.com/photos/ogauge47/9387932652/)http://farm4.staticflickr.com/3832/9387932420_13148f18f6_c.jpg (http://www.flickr.com/photos/ogauge47/9387932420/)

frogpipe
July 28th, 2013, 04:15 PM
I'd copy and paste that text into an email, and email them directly about it. I'd certainly guess that it has something to do with their rolling stock being scripted - not that there's any thing wrong with that, I just think that's were it's coming from even though the quickdriver.gs is throwing the error.

BTW, earlier you said you were doing this in surveyor, but the screenshots look like Driver to me...